using System;
using System.Text;
using System.Linq;
using System.Collections.Generic;

/// @author Antti-Jussi
/// @version 04.02.2025
/// 
/// <summary>
/// Tutustutaan merkkijonoihin
/// </summary>
public class Merkkijonoja
{
    /// <summary>
    /// Merkkijonot
    /// </summary>
    public static void Main()
    {
        string jono;
        jono = "Aaa"; // Lainausmerkit
        Console.WriteLine(jono);
        jono = "Aaa" + "Bbb"; // + -operaattorilla voidaan yhdistää merkkijonoja toisiinsa.
        Console.WriteLine(jono);
        jono = Console.ReadLine();
        int pituus = jono.Length;
        Console.WriteLine($"Annoit merkkijonon, jonka pituus on {pituus} merkkiä.");
        string jonoIsona = jono.ToUpper();
        Console.WriteLine($"Jono {jono} isona on {jonoIsona}");
        string jonoPienena = jono.ToLower();
        Console.WriteLine($"Pienenä {jonoPienena}.");

        string toinenJono = "Pekka Puupää";

        // 012345678901
        // Pekka Puupää

        // Paikkanumeroa kutsutaan indeksiksi
        // Esimerkiksi:
        // indeksissä numero 2 on merkki 'k'

        Console.WriteLine(toinenJono[2]);

        // Paikassa 2 olevan merkin tyyppi on char
        char indeksinKaksiMerkki = toinenJono[2];

        // Tutkitaan, missä indeksissä 'a'-merkki
        // ensimmäisen kerran esiintyy
        int paikka = toinenJono.IndexOf('a');
        Console.WriteLine($"Jonossa {toinenJono} merkki 'a' esiintyy ensimmäisen kerran paikassa {paikka}.");

        // Luetaan käyttäjältä syöte merkkijonona,
        // jonka jälkeen luetaan käyttäjältä myös
        // merkki, jota halutaan etsiä,
        // ja sitten tulostetaan, mistä kohtaa ko. merkki löytyy
        Console.Write("Anna merkkijono > ");
        string kayttajanSyote = Console.ReadLine();
        // Otetaan käyttäjän antamasta syötteestä aivan ensimmäinen merkki

        Console.Write("Anna etsittävä merkki > ");
        string etsittavaMerkkiMerkkijonona = Console.ReadLine();
        // Otetaan käyttäjän antamasta syötteestä aivan ensimmäinen merkki
        char etsittavaMerkki = etsittavaMerkkiMerkkijonona[0];

        // Etsitään jonosta ensimmäinen esiintyä siitä merkistä
        // jonka käyttäjä antoi
        paikka = kayttajanSyote.IndexOf(etsittavaMerkki);

        if (paikka == -1)
        {
            Console.WriteLine($"Merkkiä {etsittavaMerkki} ei löydy!");
        }
        else
        {
            Console.WriteLine(
                $"Jonossa {kayttajanSyote} merkki {etsittavaMerkki} esiintyy ensimmäisen kerran paikassa {paikka}.");
        }
    }
}