// ReSharper disable all
using System;
using System.Text;
using System.Linq;
using System.Collections.Generic;
using NUnit.Framework;
using static Testaaminen;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestTestaaminen
	{
		[Test]
		public  void TestMonista54()
		{
			Assert.AreEqual( "AAA", Monista('A') , "in method Monista, line 55");
			Assert.AreEqual( "aaa", Monista('a') , "in method Monista, line 56");
			Assert.AreEqual( "   ", Monista(' ') , "in method Monista, line 57");
			Assert.AreEqual( "bbb", Monista('b') , "in method Monista, line 58");
		}
		[Test]
		public  void TestKolmionAla78()
		{
			Assert.AreEqual( 20.0, KolmionAla(5, 8) , 0.000001, "in method KolmionAla, line 79");
			Assert.AreEqual( 10.5, KolmionAla(7, 3) , 0.000001, "in method KolmionAla, line 80");
			Assert.AreEqual( 13.125, KolmionAla(7.5, 3.5) , 0.000001, "in method KolmionAla, line 81");
			Assert.AreEqual( 0.0, KolmionAla(0.0, 0.0) , 0.000001, "in method KolmionAla, line 82");
			Assert.AreEqual( -0.5, KolmionAla(-1.0, 1.0) , 0.000001, "in method KolmionAla, line 83");
		}
		[Test]
		public  void TestJaaKolmella99()
		{
			Assert.AreEqual( 1.0, JaaKolmella(3.0)  , 0.000001, "in method JaaKolmella, line 100");
			Assert.AreEqual( 3.333333, JaaKolmella(10.0) , 0.000001, "in method JaaKolmella, line 101");
			Assert.AreEqual( 0.1, JaaKolmella(0.3)  , 0.000001, "in method JaaKolmella, line 102");
			Assert.AreEqual( 0.0, JaaKolmella(0.0)  , 0.000001, "in method JaaKolmella, line 103");
			Assert.AreEqual( -1.0, JaaKolmella(-3.0)  , 0.000001, "in method JaaKolmella, line 104");
		}
		[Test]
		public  void TestSumma119()
		{
			Assert.AreEqual( 4, Summa(1, 3) , "in method Summa, line 120");
			Assert.AreEqual( 5, Summa(1, 4) , "in method Summa, line 121");
			Assert.AreEqual( 0, Summa(-1, 1) , "in method Summa, line 122");
			Assert.AreEqual( 5, Summa(0, 5) , "in method Summa, line 123");
		}
	}

